Subject: [bug#51165] [PATCH core-updates-frozen] gnu: glib: Skip ‘testfilemonitor’ test.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 14 Oct 2021 23:32:31 -0400

Hello,

Thiago Jung Bauermann <[email-masked]> writes:

> Hello Maxim,
>
> Em terça-feira, 12 de outubro de 2021, às 15:29:53 -03, Maxim Cournoyer 
> escreveu:
>> Thiago Jung Bauermann <[email-masked]> writes:
>> > On powerpc64le-linux, it fails approximately 2 out of 3 times. On
>> > x86_64 it also fails every now and then, at least on glib’s CI.
>> > 
>> > *
>> > gnu/packages/patches/glib-testfilemonitor-Skip-if-we-are-avoiding-flak
>> > y-tests.patch: New file.
>> > * gnu/local.mk (dist_patch_DATA): Add new patch.
>> > * gnu/packages/glib.scm: Use it.
>> > ---
>> 
>> That seems too long of a patch name -- guix lint should flag it.
>
> It does, but I forgot to run it before submitting the patch. :-/
>
>> Don't worry though, I'll adjust it locally.
>> 
>> Thanks!
>
> Thank you! Sorry for the extra work.
> And thank you for looking into it so promptly.

No worries; I'm currently smoke testing a local version of the
core-updates-frozen with the extra batched commits and then some.

If it tests well I should be able to push it shortly.

Thank you!

Maxim